#### Description:

This function returns a non-zero value if the Moc includes the specified cell.

#### Synopsis

void astTestCell( AstMoc ∗this, int order, int64_t npix, int parent )

#### Parameters:

##### this

Pointer to the Moc to be modified.

##### order

The HEALPix order of the cell to test. Zero is returned if this is higher than the maximum order allowed in the Moc (as given by its MaxOrder attribute).

##### npix

The `"` npix`"` value identifying the cell to test (see the MOC recommendation for more details).

##### parent

Indicates the value to return if the tested cell is not included at the specified order, but a parent cell (at a lower order) is included.

#### Returned Value

##### astTestCell()

One if the specified cell is included in the Moc at the specified order, of (if `"` parent`"` is non-zero) a parent cell is included in the Moc. Zero otherwise.
Copyright (C) 2021 East Asian Observatory